%define version 2.0.1
%define release 3mdk

%define pkgname     gnomecanvasmm
%define major 	    1
%define api_version 2.0
%define libname     %mklibname %pkgname %api_version

Name:	 	libgnomecanvasmm2.0
Summary: 	A C++ interface for GNOME 2 canvas library
Version: 	%version
Release: 	%release
License: 	LGPL
Group:   	System/Libraries
URL:     	http://gtkmm.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

Source:		ftp://ftp.gnome.org/pub/gnome/sources/libgnomecanvasmm/2.0/libgnomecanvasmm-%{version}.tar.bz2
Patch0:		libgnomecanvasmm-libtool-1.5.patch.bz2

BuildRequires:	gtkmm-devel >= 2.2.5
BuildRequires:	libgnomecanvas2-devel
BuildRequires:	doxygen

%description
This package provides a C++ interface for gnomecanvas2.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create GNOME GUIs with GTK+'s flexible object-oriented 
framework.

%package	-n %{libname}_%{major}
Summary:	A C++ interface for GNOME 2 canvas library
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}
Provides:	lib%{pkgname} = %{version}-%{release}

%description	-n %{libname}_%{major}
This package provides a C++ interface for gnomecanvas2.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create GNOME GUIs with GTK+'s flexible object-oriented 
framework.

%package	-n %{libname}_%{major}-devel
Summary:	Headers and development files of GNOME 2 canvas library
Group:		Development/GNOME and GTK+
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-devel = %{version}-%{release}
Requires:	%{libname}_%{major} = %{version}-%{release}

%description	-n %{libname}_%{major}-devel
This package contains the headers and various development files needed
for compiling or development of applications that wants C++ interface
of GNOME 2 canvas library.

%prep
%setup -q -n lib%{pkgname}-%{version}
%patch0 -p0 -b .libtool15

%build
# MDK doesn't have libtool 1.5
%define __libtoolize /bin/true
%configure2_5x --enable-static
%make 

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES$/$1 NO/' Doxyfile
  make all
popd

%install
[ -z "%{buildroot}" -o "%{buildroot}" = "/" ] || rm -rf %{buildroot}
%makeinstall_std

%post -n %{libname}_%{major} -p /sbin/ldconfig
%postun -n %{libname}_%{major} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}_%{major}
%defattr(-, root, root)
%doc COPYING README
%{_libdir}/*.so.*

%files -n %{libname}_%{major}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS docs/reference
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/lib%{pkgname}-%{api_version}
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Sep 05 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-3mdk
- Replace my changelog with Austin's
- Add missing BuildRequires

* Fri Sep 05 2003 Abel Cheung <deaddog@deaddog.org> 2.0.1-2mdk
- Provides basic package name as well

* Sun Aug 24 2003 Austin Acton <aacton@yorku.ca> 2.0.1-1mdk
- 2.0.1
- don't use configure macro
- try to revert to standard name
- adopt Abel's changes (build doc, build static lib)

* Wed Aug 13 2003 Abel Cheung <maddog@linux.org.hk> 2.0.0-2mdk
- Build static library as well
- Spec file rename to libgnomecanvasmm2.0
- Misc spec file tweaks
- Provides/Obsoletes gnomecanvasmm2.0{,-devel} is unnecessary since
  nothing requires them
- Build docs

* Sun Apr 6 2003 Austin Acton <aacton@yorku.ca> 2.0.0-1mdk
- initial package
